Gecode::TFE Class Reference
Functionality by programming task » Programming models » Tracing constraint propagation

Trace filter expressions. More...

`#include <filter.hpp>`

## Classes

class | Node
| Node for trace filter expression. More...

## Public Member Functions

| TFE (PropagatorGroup g)
| An expression for a propagator group g.
| TFE (BrancherGroup g)
| An expression for a brancher group g.
| TFE (const TFE &e)
| Copy constructor.
TFE & | operator= (const TFE &e)
| Assignment operator.
TFE & | operator+= (const TFE &e)
| Add expression e.
TFE & | operator-= (const TFE &e)
| Add expression e as negative expression.
| ~TFE (void)
| Destructor.

## Static Public Member Functions

static TFE | other (void)
| Expression for other than propagator, brancher, or post.

## Protected Types

enum | NodeType { NT_GROUP , NT_NEGATE , NT_ADD }
| Type of trace filter expression. More...

## Protected Member Functions

| TFE (void)
| Initialize with no node.
| TFE (Node *n)
| Initialize with node n.
void | init (Group g, char what)
| Initialize with propagator group g and flags what.
TFE | negate (void) const
| Return negated the expresssion.

## Protected Attributes

Node * | n
| Pointer to trace filter expression node.

## Detailed Description

Trace filter expressions.

Definition at line 42 of file filter.hpp.

## Member Enumeration Documentation

## NodeType

enum Gecode::TFE::NodeType

protected

Type of trace filter expression.

Enumerator
NT_GROUP | Propagator or brancher group.
NT_NEGATE | Negation of expression.
NT_ADD | More than one expression.

Definition at line 49 of file filter.hpp.

## Constructor & Destructor Documentation

## TFE() [1/5]

Gecode::TFE::TFE | ( | void |  | ) |

inline protected

Initialize with no node.

Definition at line 224 of file filter.hpp.

## TFE() [2/5]

Gecode::TFE::TFE | ( | TFE::Node * | n0 | ) |

inline protected

Initialize with node n.

Definition at line 226 of file filter.hpp.

## TFE() [3/5]

Gecode::TFE::TFE | ( | PropagatorGroup | g | ) |

An expression for a propagator group g.

Definition at line 73 of file filter.cpp.

## TFE() [4/5]

Gecode::TFE::TFE | ( | BrancherGroup | g | ) |

An expression for a brancher group g.

Definition at line 77 of file filter.cpp.

## TFE() [5/5]

Gecode::TFE::TFE | ( | const TFE & | e | ) |

Copy constructor.

Definition at line 88 of file filter.cpp.

## ~TFE()

Gecode::TFE::~TFE | ( | void |  | ) |

Destructor.

Definition at line 119 of file filter.cpp.

## Member Function Documentation

## init()

void Gecode::TFE::init | ( | Group | g,
|  | char | what )

inline protected

Initialize with propagator group g and flags what.

Definition at line 56 of file filter.cpp.

## negate()

TFE Gecode::TFE::negate | ( | void |  | ) | const

inline protected

Return negated the expresssion.

Definition at line 65 of file filter.cpp.

## other()

TFE Gecode::TFE::other | ( | void |  | ) |

static

Expression for other than propagator, brancher, or post.

Definition at line 82 of file filter.cpp.

## operator=()

TFE & Gecode::TFE::operator= | ( | const TFE & | e | ) |

Assignment operator.

Definition at line 93 of file filter.cpp.

## operator+=()

TFE & Gecode::TFE::operator+= | ( | const TFE & | e | ) |

Add expression e.

Definition at line 104 of file filter.cpp.

## operator-=()

TFE & Gecode::TFE::operator-= | ( | const TFE & | e | ) |

Add expression e as negative expression.

Definition at line 115 of file filter.cpp.

## Member Data Documentation

## n

Node* Gecode::TFE::n

protected

Pointer to trace filter expression node.

Definition at line 76 of file filter.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/trace/filter.hpp
- gecode/kernel/trace/filter.cpp